<template>
    <inner-layout>
        <template>
            <div v-if="(!loading) && product.success">
                <bread-crumb :breadcrumbs="product.breadcrumbs" :category_name="category.name"></bread-crumb>
            </div>
            <div v-if="loading">
                <section class="product_detail">
                <div class="container">
                <div class="row">
                    <v-app class="vue-front-end-fixed">
                        <loading :loading="loading"></loading>
                    </v-app>
                </div></div></section>
            </div>
            <div v-if="product.success && !loading">
                <product-layout>
                    <template v-slot:slider_data>
                        <slider :product="product.product"></slider>
                    </template>
                    <template v-slot:product>
                        <product-detail :product="product.product"></product-detail>
                    </template>
                    <template v-slot:price_section>
                        <price-section :product="product.product" :pricing_locations="product.pricing_locations"></price-section>
                    </template>
                    <template v-slot:call_details>
                        <call-form :product="product.product"></call-form>
                    </template>
                    <template v-slot:tab_content>
                        <tab-content :product="product.product"></tab-content>
                    </template>
                    <template v-slot:suggested_product>
                        <suggested-product :key="reload_suggested" :products="product.suggested_products"></suggested-product>
                    </template>
                </product-layout>
            </div>
            <div v-else-if="!loading">
                <section class="page_content">
                    <div class="container">
                    <div class="v-row">
                        <div class="col-12">
                            <h2 class="pl-4">{{product.name}}</h2>
                            <h5 class="pl-4">{{product.msg}}</h5>
                        </div>
                    </div>
                </div>
                </section>
            </div>
        </template>
    </inner-layout>
</template>
<script>
import InnerLayout from '~/layouts/inner.vue';
import BreadCrumb from '~/components/front-end/bread-crumb.vue';
import ProductLayout from './product-layout.vue';
import Slider from '~/components/front-end/product-detail/slider.vue';
import ProductDetail from '~/components/front-end/product-detail/product-detail.vue';
import PriceSection from '~/components/front-end/product-detail/price-detail.vue';
import CallForm from '~/components/front-end/product-detail/call-form.vue';
import TabContent from '~/components/front-end/product-detail/tab-content.vue';
import SuggestedProduct from '~/components/front-end/product-detail/suggested-product.vue';
export default {
    props:['model_data','category_data'],
    components:{InnerLayout,BreadCrumb,
    CallForm,
    ProductLayout,Slider,ProductDetail,PriceSection,TabContent,SuggestedProduct},
    data() {
        return {
            product        : this.model_data,
            category        : this.category_data,
            loading      : false,
            reload_suggested : 1,  
        }
    },
}
</script>